Subject: Re: bug#35342: configure.ac: scan also libtinfow for tputs()

From: Дилян Палаузов<[email-masked]>
Date: Sat, 20 Apr 2019 14:51:43 +0000

Hello,

I altered my ./configure to check tinfow/ncursesw, it uses tputs from tinfow and I have not experienced any problems.

I have forgotten, that I have reported that previously.

Regards
  Дилян

On Sat, 2019-04-20 at 17:16 +0300, Eli Zaretskii wrote:
> > From: Noam Postavsky <[email-masked]>
> > Date: Sat, 20 Apr 2019 09:44:33 -0400
> > Cc: [email-masked]
> > 
> > > on my system I have no libtinfo, libncruses, libcurses, libterminfo and libtermcap.
> > > 
> > > But I have libtinfow and libncursesw, and the former contains tputs.
> > > With emacs 26.2 this is not the case.
> > 
> > Yes, when you reported it previously (Bug#33977), it was only fixed on
> > the master branch (what will become Emacs 27.1).  Should we backport [1:
> > a3d52b3057] to emacs-26 (so it will be fixed in Emacs 26.3)?
> 
> OK, I guess, although I don't really understand whether tputs in
> ncursesw is a drop-in replacement for its namesake in ncurses: we
> don't use wide characters with the curses APIs, AFAIK.